require 'spec_helper'

describe StochasticProcess::BrownianMotion do

  it 'defines a function brownian_path_increment that returns a non-constant real number' do
    s = StochasticProcess::BrownianMotion.new
    a = s.brownian_path_increment
    b = s.brownian_path_increment
    a.should_not eq b
  end

  it 'should return a graph with y coordinates unequal to zero (almost surely)' do
    s = StochasticProcess::BrownianMotion.new
    n = s.graph.count
    yc = s.graph.collect {|p| p[:y]}
    yc[rand(n)].should_not eq 0.0
    yc[rand(n)].should_not eq 0.0
  end


end